# krb5-ruby

Ruby native implementation of the KRB5 library for interacting with Kerberos Keytab files.

## Usage

```ruby
require 'krb5'

kt = KRB5::Keytab.load('/etc/krb5.keytab')
kt.entries.each do |entry|
  puts entry.principal
end

kt.entries.delete_if { |entry| entry.kvno < 2 }
kt.save('/etc/krb5_new.keytab')
```

## Contributing to krb5-ruby

- Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
- Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
- Fork the project.
- Start a feature/bugfix branch.
- Commit and push until you are happy with your contribution.
- Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
- Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2018 Jason Barnett. See LICENSE for
further details.

